### A free/open-source library for quantitative finance

Public Member Functions
MakeSchedule Class Reference

helper class More...

`#include <ql/time/schedule.hpp>`

List of all members.

## Public Member Functions

MakeSchedule & | from (const Date &effectiveDate)
MakeSchedule & | to (const Date &terminationDate)
MakeSchedule & | withTenor (const Period &)
MakeSchedule & | withFrequency (Frequency)
MakeSchedule & | withCalendar (const Calendar &)
MakeSchedule & | withConvention (BusinessDayConvention)
MakeSchedule & | withTerminationDateConvention (BusinessDayConvention)
MakeSchedule & | withRule (DateGeneration::Rule)
MakeSchedule & | forwards ()
MakeSchedule & | backwards ()
MakeSchedule & | endOfMonth (bool flag=true)
MakeSchedule & | withFirstDate (const Date &d)
MakeSchedule & | withNextToLastDate (const Date &d)
| operator Schedule () const

## Detailed Description

helper class

This class provides a more comfortable interface to the argument list of Schedule's constructor.

Examples:
  CDS.cpp.